package com.qianhe.mapper;

import java.util.List;
import com.qianhe.domain.SjZdbfFjxbz;
import com.qianhe.domain.SjZdbfFjxbzCb;

/**
 * 指导帮扶-否决项标准Mapper接口
 * 
 * @author qianhe
 * @date 2024-07-22
 */
public interface SjZdbfFjxbzMapper 
{
    /**
     * 查询指导帮扶-否决项标准
     * 
     * @param id 指导帮扶-否决项标准主键
     * @return 指导帮扶-否决项标准
     */
    public SjZdbfFjxbz selectSjZdbfFjxbzById(Long id);

    /**
     * 查询指导帮扶-否决项标准列表
     * 
     * @param sjZdbfFjxbz 指导帮扶-否决项标准
     * @return 指导帮扶-否决项标准集合
     */
    public List<SjZdbfFjxbz> selectSjZdbfFjxbzList(SjZdbfFjxbz sjZdbfFjxbz);

    /**
     * 新增指导帮扶-否决项标准
     * 
     * @param sjZdbfFjxbz 指导帮扶-否决项标准
     * @return 结果
     */
    public int insertSjZdbfFjxbz(SjZdbfFjxbz sjZdbfFjxbz);

    /**
     * 修改指导帮扶-否决项标准
     * 
     * @param sjZdbfFjxbz 指导帮扶-否决项标准
     * @return 结果
     */
    public int updateSjZdbfFjxbz(SjZdbfFjxbz sjZdbfFjxbz);

    /**
     * 删除指导帮扶-否决项标准
     * 
     * @param id 指导帮扶-否决项标准主键
     * @return 结果
     */
    public int deleteSjZdbfFjxbzById(Long id);

    /**
     * 批量删除指导帮扶-否决项标准
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjZdbfFjxbzByIds(Long[] ids);

    /**
     * 批量删除指导帮扶-否决项标准从
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjZdbfFjxbzCbByZbIds(Long[] ids);
    
    /**
     * 批量新增指导帮扶-否决项标准从
     * 
     * @param sjZdbfFjxbzCbList 指导帮扶-否决项标准从列表
     * @return 结果
     */
    public int batchSjZdbfFjxbzCb(List<SjZdbfFjxbzCb> sjZdbfFjxbzCbList);
    

    /**
     * 通过指导帮扶-否决项标准主键删除指导帮扶-否决项标准从信息
     * 
     * @param id 指导帮扶-否决项标准ID
     * @return 结果
     */
    public int deleteSjZdbfFjxbzCbByZbId(Long id);

    List<SjZdbfFjxbz> selectSjZdbfFjxbzCxList(SjZdbfFjxbz sjZdbfFjxbz);

    List<SjZdbfFjxbzCb> selectSjZdbfFjxbzCbById(Long id);


    List<String> getFlmcList(SjZdbfFjxbzCb cb);


    List<SjZdbfFjxbzCb> getPjbzList(SjZdbfFjxbzCb cb);


    SjZdbfFjxbzCb selectSjZdbfFjxbzCb(SjZdbfFjxbzCb sjZdbfFjxbzCb);


    List<SjZdbfFjxbzCb> selectSjZdbfFjxbzCxBzList(SjZdbfFjxbzCb sjZdbfFjxbzCb);


}
